﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;

namespace Quibbler.Persistence
{
    public class Post
    {
        [Key]
        public int Id { get; set; }

        [Required]
        [MaxLength(500)]
        [StringLength(500, MinimumLength = 5)]
        public string Content { get; set; }

        [Required]
        public DateTime Timestamp { get; set; }

        [Required]
        public User User { get; set; }

        public Post ReplyFor { get; set; }

        public ICollection<Favorite> Favorites { get; set; }
    }
}