﻿using Microsoft.AspNetCore.Identity.EntityFrameworkCore;
using Microsoft.EntityFrameworkCore;

namespace Quibbler.Persistence
{
    public class QuibblerContext : IdentityDbContext
    {
        protected override void OnModelCreating(ModelBuilder builder)
        {
            base.OnModelCreating(builder);
            // A körkörös kaszkádolt törlés elkerülésére
            builder.Entity<Favorite>()
                .HasOne<Post>(f => f.Post)
                .WithMany(p => p.Favorites)
                .Metadata.DeleteBehavior = DeleteBehavior.Restrict;
        }

        public QuibblerContext(DbContextOptions<QuibblerContext> options) 
            : base(options)
        { }

        public DbSet<Post> News { get; set; }

        public DbSet<Favorite> Favorites { get; set; }
    }
}
